Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit
Interface JSFAttr

    public interface JSFAttr

Constant declarations for JSF tags

Version:
  $Revision: 523785 $ $Date: 2007-03-29 20:08:42 +0200 (Do, 29 Mär 2007) $
Author:
  Anton Koinov (latest modification by $Author: mkienenb $)

Field Summary
`static java.lang.String` | `ACCEPTCHARSET_ATTR`
`static java.lang.String` | `ACTION_ATTR`
`static java.lang.String` | `ASCENDING_ATTR`
`static java.lang.String` | `BINDING_ATTR`
`static java.lang.String` | `BORDER_ATTR`
`static java.lang.String` | `COLSPAN_ATTR`
`static java.lang.String` | `COLUMN_ATTR`
`static java.lang.String` | `COLUMN_CLASSES_ATTR`
`static java.lang.String` | `COLUMNS_ATTR`
`static java.lang.String` | `COMMAND_CLASS_ATTR` Deprecated.
`static java.lang.String` | `CONVERTER_ATTR`
`static java.lang.String` | `DISABLED_ATTR`
`static java.lang.String` | `DISABLED_CLASS_ATTR`
`static java.lang.String` | `ENABLED_CLASS_ATTR`
`static java.lang.String` | `ERROR_CLASS_ATTR`
`static java.lang.String` | `ERROR_STYLE_ATTR`
`static java.lang.String` | `ESCAPE_ATTR`
`static java.lang.String` | `FATAL_CLASS_ATTR`
`static java.lang.String` | `FATAL_STYLE_ATTR`
`static java.lang.String` | `FIRST_ATTR`
`static java.lang.String` | `FOOTER_CLASS_ATTR`
`static java.lang.String` | `FOR_ATTR`
`static java.lang.String` | `FORCE_ID_ATTR`
`static java.lang.String` | `FORCE_ID_INDEX_ATTR`
`static java.lang.String` | `GLOBAL_ONLY_ATTR`
`static java.lang.String` | `HEADER_CLASS_ATTR`
`static java.lang.String` | `ID_ATTR`
`static java.lang.String` | `IMAGE_ATTR`
`static java.lang.String` | `IMAGE_LOCATION`
`static java.lang.String` | `IMMEDIATE_ATTR`
`static java.lang.String` | `INFO_CLASS_ATTR`
`static java.lang.String` | `INFO_STYLE_ATTR`
`static java.lang.String` | `ITEM_DESCRIPTION_ATTR`
`static java.lang.String` | `ITEM_DISABLED_ATTR`
`static java.lang.String` | `ITEM_LABEL_ATTR`
`static java.lang.String` | `ITEM_VALUE_ATTR`
`static java.lang.String` | `JAVASCRIPT_LOCATION`
`static java.lang.String` | `LABEL_ATTR`
`static java.lang.String` | `LAYOUT_ATTR`
`static java.lang.String` | `LAYOUT_WIDTH_ATTR`
`static java.lang.String` | `PANEL_CLASS_ATTR` Deprecated.
`static java.lang.String` | `REDISPLAY_ATTR`
`static java.lang.String` | `REQUIRED_ATTR`
`static java.lang.String` | `ROW_CLASSES_ATTR`
`static java.lang.String` | `ROW_ID`
`static java.lang.String` | `ROW_STYLE_ATTR`
`static java.lang.String` | `ROW_STYLECLASS_ATTR`
`static java.lang.String` | `ROWS_ATTR`
`static java.lang.String` | `SHOW_DETAIL_ATTR`
`static java.lang.String` | `SHOW_SUMMARY_ATTR`
`static java.lang.String` | `SIZE_ATTR`
`static java.lang.String` | `STYLE_ATTR`
`static java.lang.String` | `STYLE_CLASS_ATTR`
`static java.lang.String` | `STYLE_LOCATION`
`static java.lang.String` | `TIME_STYLE_ATTR`
`static java.lang.String` | `TIMEZONE_ATTR`
`static java.lang.String` | `TITLE_ATTR`
`static java.lang.String` | `TOOLTIP_ATTR`
`static java.lang.String` | `TYPE_ATTR`
`static java.lang.String` | `URL_ATTR`
`static java.lang.String` | `VALIDATOR_ATTR`
`static java.lang.String` | `VALUE_ATTR`
`static java.lang.String` | `VAR_ATTR`
`static java.lang.String` | `WARN_CLASS_ATTR`
`static java.lang.String` | `WARN_STYLE_ATTR`

Field Detail

### ID_ATTR

    static final java.lang.String ID_ATTR

See Also:
  Constant Field Values

### VALUE_ATTR

    static final java.lang.String VALUE_ATTR

See Also:
  Constant Field Values

### BINDING_ATTR

    static final java.lang.String BINDING_ATTR

See Also:
  Constant Field Values

### STYLE_ATTR

    static final java.lang.String STYLE_ATTR

See Also:
  Constant Field Values

### STYLE_CLASS_ATTR

    static final java.lang.String STYLE_CLASS_ATTR

See Also:
  Constant Field Values

### ESCAPE_ATTR

    static final java.lang.String ESCAPE_ATTR

See Also:
  Constant Field Values

### FORCE_ID_ATTR

    static final java.lang.String FORCE_ID_ATTR

See Also:
  Constant Field Values

### FORCE_ID_INDEX_ATTR

    static final java.lang.String FORCE_ID_INDEX_ATTR

See Also:
  Constant Field Values

### ACCEPTCHARSET_ATTR

    static final java.lang.String ACCEPTCHARSET_ATTR

See Also:
  Constant Field Values

### FOR_ATTR

    static final java.lang.String FOR_ATTR

See Also:
  Constant Field Values

### CONVERTER_ATTR

    static final java.lang.String CONVERTER_ATTR

See Also:
  Constant Field Values

### TIME_STYLE_ATTR

    static final java.lang.String TIME_STYLE_ATTR

See Also:
  Constant Field Values

### TIMEZONE_ATTR

    static final java.lang.String TIMEZONE_ATTR

See Also:
  Constant Field Values

### REQUIRED_ATTR

    static final java.lang.String REQUIRED_ATTR

See Also:
  Constant Field Values

### VALIDATOR_ATTR

    static final java.lang.String VALIDATOR_ATTR

See Also:
  Constant Field Values

### DISABLED_ATTR

    static final java.lang.String DISABLED_ATTR

See Also:
  Constant Field Values

### REDISPLAY_ATTR

    static final java.lang.String REDISPLAY_ATTR

See Also:
  Constant Field Values

### LAYOUT_ATTR

    static final java.lang.String LAYOUT_ATTR

See Also:
  Constant Field Values

### SIZE_ATTR

    static final java.lang.String SIZE_ATTR

See Also:
  Constant Field Values

### BORDER_ATTR

    static final java.lang.String BORDER_ATTR

See Also:
  Constant Field Values

### DISABLED_CLASS_ATTR

    static final java.lang.String DISABLED_CLASS_ATTR

See Also:
  Constant Field Values

### ENABLED_CLASS_ATTR

    static final java.lang.String ENABLED_CLASS_ATTR

See Also:
  Constant Field Values

### COMMAND_CLASS_ATTR

    static final java.lang.String COMMAND_CLASS_ATTR

  Deprecated.
  See Also:
    Constant Field Values

### LABEL_ATTR

    static final java.lang.String LABEL_ATTR

See Also:
  Constant Field Values

### IMAGE_ATTR

    static final java.lang.String IMAGE_ATTR

See Also:
  Constant Field Values

### ACTION_ATTR

    static final java.lang.String ACTION_ATTR

See Also:
  Constant Field Values

### IMMEDIATE_ATTR

    static final java.lang.String IMMEDIATE_ATTR

See Also:
  Constant Field Values

### TYPE_ATTR

    static final java.lang.String TYPE_ATTR

See Also:
  Constant Field Values

### PANEL_CLASS_ATTR

    static final java.lang.String PANEL_CLASS_ATTR

  Deprecated.
  See Also:
    Constant Field Values

### FOOTER_CLASS_ATTR

    static final java.lang.String FOOTER_CLASS_ATTR

See Also:
  Constant Field Values

### HEADER_CLASS_ATTR

    static final java.lang.String HEADER_CLASS_ATTR

See Also:
  Constant Field Values

### COLUMN_CLASSES_ATTR

    static final java.lang.String COLUMN_CLASSES_ATTR

See Also:
  Constant Field Values

### ROW_CLASSES_ATTR

    static final java.lang.String ROW_CLASSES_ATTR

See Also:
  Constant Field Values

### COLUMNS_ATTR

    static final java.lang.String COLUMNS_ATTR

See Also:
  Constant Field Values

### COLSPAN_ATTR

    static final java.lang.String COLSPAN_ATTR

See Also:
  Constant Field Values

### SHOW_SUMMARY_ATTR

    static final java.lang.String SHOW_SUMMARY_ATTR

See Also:
  Constant Field Values

### SHOW_DETAIL_ATTR

    static final java.lang.String SHOW_DETAIL_ATTR

See Also:
  Constant Field Values

### GLOBAL_ONLY_ATTR

    static final java.lang.String GLOBAL_ONLY_ATTR

See Also:
  Constant Field Values

### ERROR_CLASS_ATTR

    static final java.lang.String ERROR_CLASS_ATTR

See Also:
  Constant Field Values

### ERROR_STYLE_ATTR

    static final java.lang.String ERROR_STYLE_ATTR

See Also:
  Constant Field Values

### FATAL_CLASS_ATTR

    static final java.lang.String FATAL_CLASS_ATTR

See Also:
  Constant Field Values

### FATAL_STYLE_ATTR

    static final java.lang.String FATAL_STYLE_ATTR

See Also:
  Constant Field Values

### INFO_CLASS_ATTR

    static final java.lang.String INFO_CLASS_ATTR

See Also:
  Constant Field Values

### INFO_STYLE_ATTR

    static final java.lang.String INFO_STYLE_ATTR

See Also:
  Constant Field Values

### WARN_CLASS_ATTR

    static final java.lang.String WARN_CLASS_ATTR

See Also:
  Constant Field Values

### WARN_STYLE_ATTR

    static final java.lang.String WARN_STYLE_ATTR

See Also:
  Constant Field Values

### TITLE_ATTR

    static final java.lang.String TITLE_ATTR

See Also:
  Constant Field Values

### TOOLTIP_ATTR

    static final java.lang.String TOOLTIP_ATTR

See Also:
  Constant Field Values

### URL_ATTR

    static final java.lang.String URL_ATTR

See Also:
  Constant Field Values

### ITEM_DISABLED_ATTR

    static final java.lang.String ITEM_DISABLED_ATTR

See Also:
  Constant Field Values

### ITEM_DESCRIPTION_ATTR

    static final java.lang.String ITEM_DESCRIPTION_ATTR

See Also:
  Constant Field Values

### ITEM_LABEL_ATTR

    static final java.lang.String ITEM_LABEL_ATTR

See Also:
  Constant Field Values

### ITEM_VALUE_ATTR

    static final java.lang.String ITEM_VALUE_ATTR

See Also:
  Constant Field Values

### ROWS_ATTR

    static final java.lang.String ROWS_ATTR

See Also:
  Constant Field Values

### VAR_ATTR

    static final java.lang.String VAR_ATTR

See Also:
  Constant Field Values

### FIRST_ATTR

    static final java.lang.String FIRST_ATTR

See Also:
  Constant Field Values

### ROW_ID

    static final java.lang.String ROW_ID

See Also:
  Constant Field Values

### ROW_STYLECLASS_ATTR

    static final java.lang.String ROW_STYLECLASS_ATTR

See Also:
  Constant Field Values

### ROW_STYLE_ATTR

    static final java.lang.String ROW_STYLE_ATTR

See Also:
  Constant Field Values

### JAVASCRIPT_LOCATION

    static final java.lang.String JAVASCRIPT_LOCATION

See Also:
  Constant Field Values

### IMAGE_LOCATION

    static final java.lang.String IMAGE_LOCATION

See Also:
  Constant Field Values

### STYLE_LOCATION

    static final java.lang.String STYLE_LOCATION

See Also:
  Constant Field Values

### COLUMN_ATTR

    static final java.lang.String COLUMN_ATTR

See Also:
  Constant Field Values

### ASCENDING_ATTR

    static final java.lang.String ASCENDING_ATTR

See Also:
  Constant Field Values

### LAYOUT_WIDTH_ATTR

    static final java.lang.String LAYOUT_WIDTH_ATTR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.